//-------------------------------------------------------------
//	Enums for the description codes for the device properties
//-------------------------------------------------------------

#define	UNKNOWN_CONFIG	0xFF

enum
{
	DC_CHIP_FAMILY, 
	DC_DEV_BOARD, 
	DC_RF_CHIP, 
	DC_NVS_MODE, 
	LAST_PROP
};

typedef struct 
{
	unsigned char Code;
	char		  *Description;	
} CONFIG_DESCRIPTOR;

//
// Chip Family
//
enum
{
	CF_CP3BT1X,
	CF_CP3BT2X,
	LAST_CF
};



//
// Development board type
//
enum
{
	DB_BDB, 
	DB_CP3BH19, 
	DB_CP3DBXX1X, 
	DB_CP3DBXX26, 
	DB_CUSTOM, 
	LAST_DB
};

//
// RF Chip
//
enum
{
	RF_LMX5250, 
	RF_LMX5251, 
	LAST_RF
};

//
// NVS mode
//
enum
{
	NV_INTERNAL,
	NV_EXTERNAL,
	LAST_NV
};

