/************************************************************************
	File Name : chipdef.h															  

	Function:	This file includes one chip header header file according
				to the value of CHIP_FAMILY symbol.
************************************************************************/
#ifndef CHIPDEF_H
#define CHIPDEF_H

#include "config.h"

#ifndef CHIP_FAMILY
#  error "CHIP_FAMILY not defined"
#endif


#if (CHIP_FAMILY == CP3BT1X)
#  include "cp3bt1x.h"
#endif

#if (CHIP_FAMILY == CP3BT2X)
#  include "cp3bt2x.h"
#endif

#endif
