/************************************************************************
	File Name : cp3bh19_board.h															  

	Function:	This file includes definitions for the CP3BH19 test
				board.
************************************************************************/

#include "chipdef.h"

#ifndef CP3BH19_BOARD_H
#define CP3BH19_BOARD_H

#define EEPROM NO_EEPROM
#define EXTUART NO_EXTUART
#define CODEC NO_CODEC

/***********************************************************************
 *
 * LED Display section
 *
 ***********************************************************************/

#define LED_TYPE LED_GPIO
#define LED_PORT PORTI
#define LED_REG_OFFSET 6
#define LED_MASK 0x00e0
#define LED_POLARITY 0

#define LED7SEG_TYPE NO_LED7SEG

/***********************************************************************
 *
 * DIP switch section
 *
 ***********************************************************************/

/* At the moment only one switch is supported. That's PH port pin 7. */

#define NUM_SWITCHES 1
#define SWITCHREG (gpio_read(PORTH, 0xff))
#define SWITCH0_OFFSET 7
#define SWITCH_POLARITY 0

#endif
