#ifndef DBGMSG_H
#define DBGMSG_H


void dbg_init(unsigned int (*)(unsigned char *, unsigned int ));
void dbg_msg(char *, ...);
void dbg_print_bdaddr(unsigned char *);

#ifdef DEBUG

#  define DBG_MSG(format, p1, p2, p3, p4) dbg_msg(format, p1, p2, p3, p4)
#  define DBG_PRINT_BDADDR(bdaddr) dbg_print_bdaddr((unsigned char *)bdaddr)
#else
#  define DBG_MSG(format, p1, p2, p3, p4)
#  define DBG_PRINT_BDADDR(bdaddr)
#endif

#endif /* DBGMSG_H */
