#ifndef MEMDEFS_H
#define MEMDEFS_H

#if (CHIP_FAMILY == CP3BT1X)

#define ROM_START 0
#define ROM_END 3FFFF
#define ROM_SIZE 40000
#define RAM_START EC000 
#define RAM_END EE7FF
#define RAM_SIZE 2800
#define ISP_RAM_DATA_END EE3FF
#define ISP_RAM_CODE_START EE400
#define ISP_RAM_CODE_END EE7FF

#if (DEV_BOARD == CP3DBXX1X)
#define EXTFLSH_START 800000
#define EXTFLSH_END FEFFFF
#define EXTFLSH_SIZE 7EFFFF
#endif

#endif	/* CHIP_FAMILY == CP3BT1X */

#if (CHIP_FAMILY == CP3BT2X)

#define ROM_START 0
#define ROM_END 3FFFF
#define ROM_SIZE 40000
#define RAM_START E0000
#define RAM_END E7FFF
#define RAM_SIZE 8000
#define ISP_RAM_DATA_END E7BFF
#define ISP_RAM_CODE_START E7C00
#define ISP_RAM_CODE_END E7FFF


#endif	/* CHIP_FAMILY == CP3BT2X */


#ifdef __IAR_SYSTEMS_ICC__

#if (MEMORY_MODEL == MEDIUM)
#define IAR_DATA_SEG DATA20_
#endif

#if (MEMORY_MODEL == LARGE)
#define IAR_DATA_SEG DATA24_
#endif

#endif	/* __IAR_SYSTEMS_ICC__ */

#endif	/* MEMDEFS_H */
