/************************************************************************
*	File Name : syscfg.c
*
*	Function:	This is the CP3BT1x System Configuration driver.
*
************************************************************************/

#include "chipdef.h"

syscfg_t * const syscfg = (syscfg_t *)SYSCFG_BASE_ADDR;

/******************************************************************************  
    Function: SYSCFGEnableIoExpansion 

	Description
	-----------
    This function enables the BIU IO expansion zone that is used for
    extenal I/O. Note that in IRE mode I/O expansion is diabled by
	default and therefore it is necessary to call this function.
*******************************************************************************/
void SYSCFGEnableIoExpansion(void)
{
	MCFG |= EXIOE;
}
