
	
#define GET_DEV_PROP			0x01
#define BT_NVS_INIT				0x06
#define EEPROM_READ				0x08
#define EEPROM_WRITE			0x09
#define LED_SET_ALL				0x0B
#define SWITCH_ON				0x0C
#define START_RECORD			0x0D
#define START_PLAYBACK			0x0E       
#define PLAY_TONE				0x0F
#define SET_VOLUME				0x10

#define START_COM				0xFB
#define STOP_COM				0xFC

#define COMMAND_SIZE    3             // CommandID + 1 byte for the Number of parameters (Param0) + EOB
//
//  Response Control codes
//

#define SER_ACK   0xAA 
#define SER_NACK  0xAB
#define EOB       0xBB

#define	NO_PARAMS	0

typedef struct
{
  unsigned char  CommandID;
  unsigned char  nParams;
  unsigned char  Param[256];
} COMMBLOCK;














