/******************************************************************************
*  File:	cp3bt1xisrdef.h
*  
*  This file contains the CP3BT1x interrupt dispatch table.
******************************************************************************/

/* The interrupt dispatch table is implemented as an array of function to
   pointers. The non-NULL pointers point to interrupt handlers that have
   so far been developed for CP3BT1X peripherals.
   In case a specific handler is not used in your program make sure
   make sure you link the appropriate stub file (*_stb.c) which contains
   an empty handler function. This will make sure that the reference
   from the interrupt dispatch table is resolved even when the handler
   is not used.
*/

/* 0 */		null_isr, 
/* 1 */		null_isr, 
/* 2 */		null_isr,
/* 3 */		null_isr,
/* 4 */		null_isr,
/* 5 */		SVC_ISR,
/* 6 */		null_isr,
/* 7 */		null_isr,
/* 8 */		null_isr,
/* 9 */		null_isr,
/* 10 */	und_isr,
/* 11 */	null_isr,
/* 12 */	iad_isr,
/* 13 */	null_isr,
/* 14 */	null_isr,
/* 15 */	null_isr,

/* 16 */	null_isr,
/* 17 */	null_isr,
/* 18 */	null_isr,
/* 19 */	null_isr,
/* 20 */	null_isr,
/* 21 */	null_isr,
/* 22 */	null_isr,
/* 23 */	usart0_tx_isr,
/* 24 */	mw_isr,
/* 25 */	null_isr,
/* 26 */	null_isr,
/* 27 */	null_isr,
/* 28 */	null_isr,
/* 29 */	mftb_isr,
/* 30 */	mfta_isr,
/* 31 */	acb0_isr,
/* 32 */	pcm2cvsd_isr,
/* 33 */	usart0_rx_isr,
/* 34 */	aai_isr,
/* 35 */	can0_isr,
/* 36 */	dma_channel3_isr,
/* 37 */	dma_channel2_isr,
/* 38 */	dma_channel1_isr,
/* 39 */	dma_channel0_isr,
/* 40 */	usb_isr,
/* 41 */	null_isr,
/* 42 */	null_isr,
/* 43 */	null_isr,
/* 44 */	null_isr,
/* 45 */	null_isr,
/* 46 */	bt_llc0_isr,
/* 47 */	twm_isr
