/******************************************************************************
*  File:	crcommon.h
*  
*  This file contains common type definitions.
******************************************************************************/

#ifndef CRCOMMON_H
#define CRCOMMON_H

typedef unsigned char uint8;
typedef unsigned short  uint16;
typedef unsigned long uint32;
typedef unsigned int uint;


typedef signed char int8;
typedef short  int16;
typedef long int32;


typedef unsigned char boolean;

#define TRUE (unsigned char) 1
#define FALSE (unsigned char) 0

typedef unsigned char bitfield;

#ifdef __IAR_SYSTEMS_ICC__
#  define __asm__ asm
#endif

#define panic() __asm__("excp bpt")


/* Make a single definition for a CR16C environment (for both NS/IAR) */
#ifdef __ICCCR16C__
#define __CR16C__
#endif

#endif /* CRCOMMON_H */
